Skip to content

Add Auxiliary Segments

Request

Security
bearerAuth
Path
ReservationResource_Identifierstring, <= 128 charactersrequired

The reservation workbench identifier to add unpriced segments to.

Example:382c74c3-721d-4f34-80e5-57657b6cbc27
Headers
travelportPlusSessionIdentifierstring, [ 0 .. 100 ] characters([a-zA-Z-0-9-_]*)

travelportPlusSessionIdentifier used to maintain an established agency session

Example:49f58f5f-c443-43b4-9f5d-be405fd00a01
TraceIdstring, [ 10 .. 89 ] characters

Identifier used to correlate Air API invocations across a multi-call business flows.

Example:TraceID_123456789
XAUTH_TRAVELPORT_ACCESSGROUPstring, = 36 characters([a-zA-Z-0-9-_]*)

Identifies the Travelport access group with which the caller is associated

Example:19Y88702-C27A-4E5D-829A-89D7016688B1
TVP-PCC-Corestring^[a-zA-Z\d]{3,4}_\w{2}$

Allows user to pass PCC instead of Access Group ID

Example:DU7_1G
Bodyapplication/jsonrequired
CustomAuxiliarySegmentArray of objects(CustomAuxiliarySegment)required

Add TUR/SUR auxiliary segments.

curl -i -X POST \
  https://developer.travelport.com/_mock/apis/flights/air/book/airoffer/reservationworkbench/382c74c3-721d-4f34-80e5-57657b6cbc27/customauxiliarysegments \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'TVP-PCC-Core: DU7_1G' \
  -H 'TraceId: TraceID_123456789' \
  -H 'XAUTH_TRAVELPORT_ACCESSGROUP: 19Y88702-C27A-4E5D-829A-89D7016688B1' \
  -H 'travelportPlusSessionIdentifier: 49f58f5f-c443-43b4-9f5d-be405fd00a01' \
  -d '{
    "CustomAuxiliarySegment": [
      {
        "@type": "CustomAuxiliarySegment",
        "id": "aux_001",
        "customAuxiliarySegmentRef": "string",
        "Identifier": {
          "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E",
          "authority": "TVPT"
        },
        "SegmentType": "TUR",
        "SupplierCode": "YY",
        "StatusCode": "BK",
        "Quantity": 1,
        "Location": "LON",
        "Date": "2019-08-24",
        "CustomTextQualifier": "DO",
        "CustomText": "string"
      }
    ]
  }'

Responses

OK - Successful Response - 200

Bodyapplication/json
CustomAuxiliarySegmentResponseobject(CustomAuxiliarySegmentResponse)

The response of a Custom Auxiliary Segment add or update request.

Response
{ "CustomAuxiliarySegmentResponse": { "@type": "response", "transactionId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "traceId": "TraceID_123456", "correlationId": "48fb4cd3-2ef6-4479-bea1-7c92721b988c", "reservationStatus": "Success", "Result": { "@type": "Result", "status": "Complete", "Error": [], "Warning": [] }, "Identifier": { "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E", "authority": "TVPT" }, "NextSteps": { "baseURI": "string", "id": "5", "NextStep": [] }, "ReferenceList": [ {} ], "CurrencyRateConversion": [ {} ], "Pagination": { "@type": "Pagination", "page": 1, "pageSize": 20, "totalPages": 5, "totalItems": 100 } } }